Subject: bug#65726: 29.1.50; Crash in regexp engine

From: Stefan Monnier <[email-masked]>
Date: Fri, 15 Sep 2023 18:20:25 -0400

>> I.e. keep the idea I proposed of keeping track of a beg..end region
>> that's already been handled.  But now we really do have to maintain both
>> ends (before, I only had `done` which kept track of the end of the
>> region), and just "restart" when we jump back to a point before the
>> "done" region.
> Thank you, this looks workable and should enable some further
> optimisations.

I just pushed this to `master`.

> Another option would be to add the usual cycle detection,

That wouldn't be fun, tho, would it?

> but this is probably faster.

And more thrilling.

        Stefan